## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface UnlinkExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  UnlinkExpImpl

    public interface UnlinkExp

extends ImperativeExpression

A representation of the model object 'Unlink Exp'.

The following features are supported:

- `Item`
- `Target`

See Also:
  `ImperativeOCLPackage.getUnlinkExp()`

Method Summary
`OCLExpression` `getItem()` Returns the value of the 'Item' containment reference
`OCLExpression` `getTarget()` Returns the value of the 'Target' containment reference
`void` `setItem(OCLExpression value)` Sets the value of the '`Item`' containment reference
`void` `setTarget(OCLExpression value)` Sets the value of the '`Target`' containment reference

Method Detail

### getItem

    OCLExpression getItem()

  Returns the value of the 'Item' containment reference.

  If the meaning of the 'Item' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item' containment reference.
  See Also:
    `setItem(OCLExpression)`, `ImperativeOCLPackage.getUnlinkExp_Item()`

### setItem

    void setItem(OCLExpression value)

  Sets the value of the '`Item`' containment reference.

  Parameters:
    `value` - the new value of the 'Item' containment reference.
  See Also:
    `getItem()`

### getTarget

    OCLExpression getTarget()

  Returns the value of the 'Target' containment reference.

  If the meaning of the 'Target' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(OCLExpression)`, `ImperativeOCLPackage.getUnlinkExp_Target()`

### setTarget

    void setTarget(OCLExpression value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.